signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
SignonDaemonNS::RequestData Class Reference

Request data. More...

`#include <signonsessioncoretools.h>`

## Public Member Functions
| RequestData (const QDBusConnection &conn, const QDBusMessage &msg, const QVariantMap &params, const QString &mechanism, const QString &cancelKey)
| RequestData (const RequestData &other)
| ~RequestData ()

## Public Attributes
QDBusConnection | m_conn
QDBusMessage | m_msg
QVariantMap | m_params
QString | m_mechanism
QString | m_cancelKey

## Detailed Description

Request data.

Todo:
  description.

Definition at line 71 of file signonsessioncoretools.h.

## Constructor & Destructor Documentation

RequestData::RequestData | ( | const QDBusConnection & | conn,
|  | const QDBusMessage & | msg,
|  | const QVariantMap & | params,
|  | const QString & | mechanism,
|  | const QString & | cancelKey
| ) |  |

Definition at line 69 of file signonsessioncoretools.cpp.

RequestData::RequestData | ( | const RequestData & | other | ) |

Definition at line 82 of file signonsessioncoretools.cpp.

RequestData::~RequestData | ( |  | ) |

Definition at line 91 of file signonsessioncoretools.cpp.

## Member Data Documentation

QString SignonDaemonNS::RequestData::m_cancelKey

Definition at line 87 of file signonsessioncoretools.h.

QDBusConnection SignonDaemonNS::RequestData::m_conn

Definition at line 83 of file signonsessioncoretools.h.

QString SignonDaemonNS::RequestData::m_mechanism

Definition at line 86 of file signonsessioncoretools.h.

QDBusMessage SignonDaemonNS::RequestData::m_msg

Definition at line 84 of file signonsessioncoretools.h.

Referenced by SignonDaemonNS::SignonSessionCore::cancel().

QVariantMap SignonDaemonNS::RequestData::m_params

Definition at line 85 of file signonsessioncoretools.h.

The documentation for this class was generated from the following files:

- src/signond/signonsessioncoretools.h
- src/signond/signonsessioncoretools.cpp